Novell Home

Unable to update SUSE via https://you.novell.com/update due to a http and https proxy

Novell Cool Solutions: Tip
By Randy Moeller

Digg This - Slashdot This

Posted: 12 Jan 2006
 

Applies to:

  • SUSE Linux Enterprise Server 8
  • SUSE Linux Enterprise Server 9
  • SUSE Linux Professional 9.2-9.3
  • SUSE Linux 10.0
  • Any flavor of Suse which you update through a HTTPS server

PROBLEM: Unable to update SUSE via https://you.novell.com/update due to a http and https proxy.

SOLUTION: Yast2 only shows the possibility for a HTTP proxy. However, if you can also enter in a https, ftp, and gopher proxy in the /etc/sysconfig/proxy file. So to use Yast Online Update, you can alter the line in the proxy file that says HTTPS_PROXY="" to HTTPS_PROXY="<proxy server address/name>:<proxy server port>"

This then keeps your settings for HTTPS proxy and thus eliminating the heartache caused by online update without a HTTPS proxy.


Novell Cool Solutions (corporate web communities) are produced by WebWise Solutions. www.webwiseone.com

© 2014 Novell